> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Lists Matching Sets

GET https://api.staple.io/reconciliation/metadata/sets

Lists all matching sets for the tenant.

Reference: https://docs.staple.ai/api-reference/v2/reconciliation/lists-matching-sets

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v2
  version: 1.0.0
paths:
  /reconciliation/metadata/sets:
    get:
      operationId: listsMatchingSets
      summary: Lists Matching Sets
      description: Lists all matching sets for the tenant.
      tags:
        - reconciliation
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Reconciliation_listsMatchingSets_Response_200
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    Reconciliation_listsMatchingSets_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Reconciliation_listsMatchingSets_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples



**Response**

```json
{
  "matching_sets": [
    {
      "created_at": "2025-04-25T12:34:56Z",
      "id": 123,
      "name": "Payables vs POs",
      "updated_at": "2025-05-01T08:00:00Z",
      "version": 1
    }
  ]
}
```

**SDK Code**

```python Lists Matching Sets
import requests

url = "https://api.staple.io/reconciliation/metadata/sets"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Lists Matching Sets
const url = 'https://api.staple.io/reconciliation/metadata/sets';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Lists Matching Sets
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/reconciliation/metadata/sets"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Lists Matching Sets
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/reconciliation/metadata/sets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Lists Matching Sets
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.staple.io/reconciliation/metadata/sets")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Lists Matching Sets
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.staple.io/reconciliation/metadata/sets', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Lists Matching Sets
using RestSharp;

var client = new RestClient("https://api.staple.io/reconciliation/metadata/sets");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Lists Matching Sets
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/reconciliation/metadata/sets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```